############################################################################################
#      NSIS Installation Script created by NSIS Quick Setup Script Generator v1.09.18
#               Entirely Edited with NullSoft Scriptable Installation System                
#              by Vlasis K. Barkas aka Red Wine red_wine@freemail.gr Sep 2006               
############################################################################################

!define APP_NAME "Altrivia"
!define COMP_NAME "Vicente Mart Centelles, Marta Enciso Carrasco"
!define WEB_SITE "http://altrivia.uji.es"
!define VERSION "00.00.00.02"
!define COPYRIGHT "Vicente Mart Centelles, Marta Enciso Carrasco  2009 - 2012"
!define DESCRIPTION "Altrivia - The Alchemist's Trivia"
!define LICENSE_TXT "COPYING"
!define INSTALLER_NAME "C:\Users\Spartan\Desktop\installer_altrivia-v2.0.exe"
!define MAIN_APP_EXE "altrivia.exe"
!define INSTALL_TYPE "SetShellVarContext all"
!define REG_ROOT "HKLM"
!define REG_APP_PATH "Software\Microsoft\Windows\CurrentVersion\App Paths\${MAIN_APP_EXE}"
!define UNINSTALL_PATH "Software\Microsoft\Windows\CurrentVersion\Uninstall\${APP_NAME}"

!define REG_START_MENU "Start Menu Folder"

var SM_Folder

######################################################################

VIProductVersion  "${VERSION}"
VIAddVersionKey "ProductName"  "${APP_NAME}"
VIAddVersionKey "CompanyName"  "${COMP_NAME}"
VIAddVersionKey "LegalCopyright"  "${COPYRIGHT}"
VIAddVersionKey "FileDescription"  "${DESCRIPTION}"
VIAddVersionKey "FileVersion"  "${VERSION}"

######################################################################

SetCompressor ZLIB
Name "${APP_NAME}"
Caption "${APP_NAME}"
OutFile "${INSTALLER_NAME}"
BrandingText "${APP_NAME}"
XPStyle on
InstallDirRegKey "${REG_ROOT}" "${REG_APP_PATH}" ""
InstallDir "$PROGRAMFILES\altrivia"

!define MUI_ICON "altrivia.ico"

######################################################################

!include "MUI.nsh"

!define MUI_ABORTWARNING
!define MUI_UNABORTWARNING

!define MUI_LANGDLL_REGISTRY_ROOT "${REG_ROOT}"
!define MUI_LANGDLL_REGISTRY_KEY "${UNINSTALL_PATH}"
!define MUI_LANGDLL_REGISTRY_VALUENAME "Installer Language"

!insertmacro MUI_PAGE_WELCOME

!ifdef LICENSE_TXT
!insertmacro MUI_PAGE_LICENSE "${LICENSE_TXT}"
!endif

!insertmacro MUI_PAGE_DIRECTORY

!ifdef REG_START_MENU
!define MUI_STARTMENUPAGE_NODISABLE
!define MUI_STARTMENUPAGE_DEFAULTFOLDER "Altrivia"
!define MUI_STARTMENUPAGE_REGISTRY_ROOT "${REG_ROOT}"
!define MUI_STARTMENUPAGE_REGISTRY_KEY "${UNINSTALL_PATH}"
!define MUI_STARTMENUPAGE_REGISTRY_VALUENAME "${REG_START_MENU}"
!insertmacro MUI_PAGE_STARTMENU Application $SM_Folder
!endif

!insertmacro MUI_PAGE_INSTFILES

!define MUI_FINISHPAGE_RUN "$INSTDIR\${MAIN_APP_EXE}"
!insertmacro MUI_PAGE_FINISH

!insertmacro MUI_UNPAGE_CONFIRM

!insertmacro MUI_UNPAGE_INSTFILES

!insertmacro MUI_UNPAGE_FINISH

!insertmacro MUI_LANGUAGE "Catalan"
!insertmacro MUI_LANGUAGE "English"
!insertmacro MUI_LANGUAGE "Spanish"

!insertmacro MUI_RESERVEFILE_LANGDLL

######################################################################

Function .onInit
!insertmacro MUI_LANGDLL_DISPLAY
FunctionEnd

######################################################################

; These are the programs that are needed by ACME Suite.
Section -Prerequisites
    SetOutPath "$INSTDIR\python-2-5-installer"
    File "python-2-5-installer\python-2.5.4.msi"
    ExecWait '"msiexec" /i "$INSTDIR\python-2-5-installer\python-2.5.4.msi"'

    File "python-2-5-installer\pygame-1.8.1release.win32-py2.5.msi"
    ExecWait '"msiexec" /i "$INSTDIR\python-2-5-installer\pygame-1.8.1release.win32-py2.5.msi"'

    File "python-2-5-installer\numpy-1.3.0-win32-superpack-python2.5.exe"
    ExecWait "$INSTDIR\python-2-5-installer\numpy-1.3.0-win32-superpack-python2.5.exe"

    File "python-2-5-installer\lxml-2.2.win32-py2.5.exe"
    ExecWait "$INSTDIR\python-2-5-installer\lxml-2.2.win32-py2.5.exe"



SectionEnd


Section -MainProgram
${INSTALL_TYPE}
SetOverwrite ifnewer
SetOutPath "$INSTDIR"
File "altrivia-v2.0.ini"
File "altrivia.cpp"
File "altrivia.dev"
File "altrivia.exe.Manifest"
File "altrivia.ico"
File "altrivia.layout"
File "Altrivia.nsi"
File "altrivia_private.h"
File "altrivia_private.rc"
File "altrivia_private.res"
File "COPYING"
File "README"
File "triptico-altrivia.odt"
File "trivial-quimica.layout"
File "Makefile.win"
File "altrivia.exe"
SetOutPath "$INSTDIR\databases"
File "databases\freevial-database.xsd"
SetOutPath "$INSTDIR\databases\es"
File "databases\es\bioquimica-ingenieria-quimica.xml"
File "databases\es\quimica-analitica.xml"
File "databases\es\quimica-fisica-computacional-y-teorica.xml"
File "databases\es\quimica-general.xml"
File "databases\es\quimica-inorganica.xml"
File "databases\es\quimica-organica.xml"
SetOutPath "$INSTDIR\databases\ca"
File "databases\ca\bioquimica-ingenieria-quimica.xml"
File "databases\ca\quimica-analitica.xml"
File "databases\ca\quimica-fisica-computacional-y-teorica.xml"
File "databases\ca\quimica-general.xml"
File "databases\ca\quimica-inorganica.xml"
File "databases\ca\quimica-organica.xml"
SetOutPath "$INSTDIR\databases\en"
File "databases\en\analytical.xml"
File "databases\en\biochemistry-engineering.xml"
File "databases\en\general-history.xml"
File "databases\en\inorganic.xml"
File "databases\en\organic.xml"
File "databases\en\physical-theoretical.xml"
SetOutPath "$INSTDIR\src"
File "src\endscreen.py"
File "src\altrivia.py"
File "src\preguntador.py"
File "src\pygame"
File "src\questions.py"
File "src\roda.py"
File "src\score.py"
File "src\selcat.py"
File "src\skinner.py"
File "src\__init__.py"
File "src\freevial.pyc"
File "src\questions.pyc"
File "src\skinner.pyc"
File "src\score.pyc"
File "src\endscreen.pyc"
File "src\selcat.pyc"
File "src\preguntador.pyc"
File "src\roda.pyc"
File "src\altrivia.pyc"
SetOutPath "$INSTDIR\src\common"
File "src\common\database.py"
File "src\common\dbus.py"
File "src\common\dialog_question.py"
File "src\common\events.py"
File "src\common\freevialglob.py"
File "src\common\globals.py"
File "src\common\uncompress.py"
File "src\common\__init__.py"
File "src\common\__init__.pyc"
File "src\common\globals.pyc"
File "src\common\freevialglob.pyc"
File "src\common\uncompress.pyc"
File "src\common\database.pyc"
File "src\common\events.pyc"
File "src\common\dialog_question.pyc"
SetOutPath "$INSTDIR\python-2-5-installer"
File "python-2-5-installer\leeme.txt"
File "python-2-5-installer\lxml-2.2.win32-py2.5.exe"
File "python-2-5-installer\numpy-1.3.0-win32-superpack-python2.5.exe"
File "python-2-5-installer\pygame-1.8.1release.win32-py2.5.msi"
File "python-2-5-installer\python-2.5.4.msi"
SetOutPath "$INSTDIR\po"
File "po\ca.po"
File "po\freevial.pot"
SetOutPath "$INSTDIR\data"
File "data\skin.ini"
SetOutPath "$INSTDIR\data\teamgotxies"
File "data\teamgotxies\1st.png"
File "data\teamgotxies\ninot.png"
File "data\teamgotxies\tg_bomb.png"
File "data\teamgotxies\tg_caldes.png"
File "data\teamgotxies\tg_cd.png"
File "data\teamgotxies\tg_llapis.png"
File "data\teamgotxies\tg_lluna.png"
File "data\teamgotxies\tg_mario.png"
File "data\teamgotxies\tg_rstallman.png"
File "data\teamgotxies\tg_ubucat.png"
File "data\teamgotxies\tux.png"
SetOutPath "$INSTDIR\data\sounds"
File "data\sounds\c1.ogg"
File "data\sounds\c2.ogg"
File "data\sounds\c3.ogg"
File "data\sounds\c4.ogg"
File "data\sounds\c5.ogg"
File "data\sounds\c6.ogg"
File "data\sounds\cc.ogg"
File "data\sounds\cheer.ogg"
File "data\sounds\ckw.ogg"
File "data\sounds\cmc.ogg"
File "data\sounds\crboo.ogg"
File "data\sounds\dot.ogg"
File "data\sounds\drum2.ogg"
File "data\sounds\evil.ogg"
File "data\sounds\mov.ogg"
File "data\sounds\p1.ogg"
File "data\sounds\p10.ogg"
File "data\sounds\p11.ogg"
File "data\sounds\p12.ogg"
File "data\sounds\p13.ogg"
File "data\sounds\p14.ogg"
File "data\sounds\p15.ogg"
File "data\sounds\p16.ogg"
File "data\sounds\p17.ogg"
File "data\sounds\p18.ogg"
File "data\sounds\p19.ogg"
File "data\sounds\p2.ogg"
File "data\sounds\p20.ogg"
File "data\sounds\p21.ogg"
File "data\sounds\p22.ogg"
File "data\sounds\p23.ogg"
File "data\sounds\p24.ogg"
File "data\sounds\p3.ogg"
File "data\sounds\p4.ogg"
File "data\sounds\p5.ogg"
File "data\sounds\p6.ogg"
File "data\sounds\p7.ogg"
File "data\sounds\p8.ogg"
File "data\sounds\p9.ogg"
File "data\sounds\preguntador.ogg"
File "data\sounds\score.ogg"
File "data\sounds\sub.ogg"
File "data\sounds\sub2.ogg"
File "data\sounds\ticking2.ogg"
File "data\sounds\wonfv.ogg"
SetOutPath "$INSTDIR\data\quimica-logo"
File "data\quimica-logo\ch4-alfa.ico"
File "data\quimica-logo\ch4-alfa.png"
File "data\quimica-logo\ch4.blend"
File "data\quimica-logo\ch4.pdb"
File "data\quimica-logo\ch4.png"
File "data\quimica-logo\ch4.xyz"
File "data\quimica-logo\pdb2blend12.blend"
SetOutPath "$INSTDIR\data\images"
File "data\images\dummy.png"
File "data\images\element_score.png"
File "data\images\filtre_c1.png"
File "data\images\filtre_c2.png"
File "data\images\filtre_c3.png"
File "data\images\filtre_c4.png"
File "data\images\filtre_c5.png"
File "data\images\filtre_c6.png"
File "data\images\fons_score.png"
File "data\images\fons_score_quimica.png"
File "data\images\fons_score_quimica.xcf"
File "data\images\freevial.png"
File "data\images\freevial_14.png"
File "data\images\freevial_64.png"
File "data\images\freevial_brand.png"
File "data\images\freevial_splash.png"
File "data\images\itr1.png"
File "data\images\itr2.png"
File "data\images\lletraA.png"
File "data\images\lletraA_off.png"
File "data\images\lletraB.png"
File "data\images\lletraB_off.png"
File "data\images\lletraC.png"
File "data\images\lletraC_off.png"
File "data\images\llum.png"
File "data\images\mascara_de_fons.png"
File "data\images\mascara_de_fons_quimica.png"
File "data\images\nook.png"
File "data\images\nota.png"
File "data\images\ok.png"
File "data\images\retalla_sel.png"
File "data\images\retalla_sel_i.png"
File "data\images\ruleta_fons.png"
File "data\images\ruleta_front.png"
File "data\images\ruleta_front_quimica.png"
File "data\images\ruleta_front_quimica.xcf"
File "data\images\ruleta_paper.png"
File "data\images\score_fons.png"
File "data\images\score_fons_quimical.png"
File "data\images\seleccio_score.png"
File "data\images\sel_fletxab.png"
File "data\images\sel_fletxap.png"
File "data\images\sel_quadre.png"
File "data\images\sel_quadreok.png"
File "data\images\sel_quadres.png"
File "data\images\sel_reflexos.png"
File "data\images\freevial_tot63.png"
SetOutPath "$INSTDIR\data\images\quimica"
File "data\images\quimica\categoria-qa.png"
File "data\images\quimica\categoria-qe.png"
File "data\images\quimica\categoria-qf.png"
File "data\images\quimica\categoria-qg.png"
File "data\images\quimica\categoria-qo.png"
File "data\images\quimica\categoria-qi.png"
SetOutPath "$INSTDIR\data\images\quimica\quimica-organica"
File "data\images\quimica\quimica-organica\aspirina.png"
File "data\images\quimica\quimica-organica\etanol.png"
SetOutPath "$INSTDIR\data\images\points"
File "data\images\points\freevial_tot00.png"
File "data\images\points\freevial_tot01.png"
File "data\images\points\freevial_tot02.png"
File "data\images\points\freevial_tot03.png"
File "data\images\points\freevial_tot04.png"
File "data\images\points\freevial_tot05.png"
File "data\images\points\freevial_tot06.png"
File "data\images\points\freevial_tot07.png"
File "data\images\points\freevial_tot08.png"
File "data\images\points\freevial_tot09.png"
File "data\images\points\freevial_tot10.png"
File "data\images\points\freevial_tot11.png"
File "data\images\points\freevial_tot12.png"
File "data\images\points\freevial_tot13.png"
File "data\images\points\freevial_tot14.png"
File "data\images\points\freevial_tot15.png"
File "data\images\points\freevial_tot16.png"
File "data\images\points\freevial_tot17.png"
File "data\images\points\freevial_tot18.png"
File "data\images\points\freevial_tot19.png"
File "data\images\points\freevial_tot20.png"
File "data\images\points\freevial_tot21.png"
File "data\images\points\freevial_tot22.png"
File "data\images\points\freevial_tot23.png"
File "data\images\points\freevial_tot24.png"
File "data\images\points\freevial_tot25.png"
File "data\images\points\freevial_tot26.png"
File "data\images\points\freevial_tot27.png"
File "data\images\points\freevial_tot28.png"
File "data\images\points\freevial_tot29.png"
File "data\images\points\freevial_tot30.png"
File "data\images\points\freevial_tot31.png"
File "data\images\points\freevial_tot32.png"
File "data\images\points\freevial_tot33.png"
File "data\images\points\freevial_tot34.png"
File "data\images\points\freevial_tot35.png"
File "data\images\points\freevial_tot36.png"
File "data\images\points\freevial_tot37.png"
File "data\images\points\freevial_tot38.png"
File "data\images\points\freevial_tot39.png"
File "data\images\points\freevial_tot40.png"
File "data\images\points\freevial_tot41.png"
File "data\images\points\freevial_tot42.png"
File "data\images\points\freevial_tot43.png"
File "data\images\points\freevial_tot44.png"
File "data\images\points\freevial_tot45.png"
File "data\images\points\freevial_tot46.png"
File "data\images\points\freevial_tot47.png"
File "data\images\points\freevial_tot48.png"
File "data\images\points\freevial_tot49.png"
File "data\images\points\freevial_tot50.png"
File "data\images\points\freevial_tot51.png"
File "data\images\points\freevial_tot52.png"
File "data\images\points\freevial_tot53.png"
File "data\images\points\freevial_tot54.png"
File "data\images\points\freevial_tot55.png"
File "data\images\points\freevial_tot56.png"
File "data\images\points\freevial_tot57.png"
File "data\images\points\freevial_tot58.png"
File "data\images\points\freevial_tot59.png"
File "data\images\points\freevial_tot60.png"
File "data\images\points\freevial_tot61.png"
File "data\images\points\freevial_tot62.png"
File "data\images\points\freevial_tot63.png"
SetOutPath "$INSTDIR\data\images\ovnis"
File "data\images\ovnis\freevial_tot00.png"
File "data\images\ovnis\freevial_tot01.png"
File "data\images\ovnis\freevial_tot02.png"
File "data\images\ovnis\freevial_tot03.png"
File "data\images\ovnis\freevial_tot04.png"
File "data\images\ovnis\freevial_tot05.png"
File "data\images\ovnis\freevial_tot06.png"
File "data\images\ovnis\freevial_tot07.png"
File "data\images\ovnis\freevial_tot08.png"
File "data\images\ovnis\freevial_tot09.png"
File "data\images\ovnis\freevial_tot10.png"
File "data\images\ovnis\freevial_tot11.png"
File "data\images\ovnis\freevial_tot12.png"
File "data\images\ovnis\freevial_tot13.png"
File "data\images\ovnis\freevial_tot14.png"
File "data\images\ovnis\freevial_tot15.png"
File "data\images\ovnis\freevial_tot16.png"
File "data\images\ovnis\freevial_tot17.png"
File "data\images\ovnis\freevial_tot18.png"
File "data\images\ovnis\freevial_tot19.png"
File "data\images\ovnis\freevial_tot20.png"
File "data\images\ovnis\freevial_tot21.png"
File "data\images\ovnis\freevial_tot22.png"
File "data\images\ovnis\freevial_tot23.png"
File "data\images\ovnis\freevial_tot24.png"
File "data\images\ovnis\freevial_tot25.png"
File "data\images\ovnis\freevial_tot26.png"
File "data\images\ovnis\freevial_tot27.png"
File "data\images\ovnis\freevial_tot28.png"
File "data\images\ovnis\freevial_tot29.png"
File "data\images\ovnis\freevial_tot30.png"
File "data\images\ovnis\freevial_tot31.png"
File "data\images\ovnis\freevial_tot32.png"
File "data\images\ovnis\freevial_tot33.png"
File "data\images\ovnis\freevial_tot34.png"
File "data\images\ovnis\freevial_tot35.png"
File "data\images\ovnis\freevial_tot36.png"
File "data\images\ovnis\freevial_tot37.png"
File "data\images\ovnis\freevial_tot38.png"
File "data\images\ovnis\freevial_tot39.png"
File "data\images\ovnis\freevial_tot40.png"
File "data\images\ovnis\freevial_tot41.png"
File "data\images\ovnis\freevial_tot42.png"
File "data\images\ovnis\freevial_tot43.png"
File "data\images\ovnis\freevial_tot44.png"
File "data\images\ovnis\freevial_tot45.png"
File "data\images\ovnis\freevial_tot46.png"
File "data\images\ovnis\freevial_tot47.png"
File "data\images\ovnis\freevial_tot48.png"
File "data\images\ovnis\freevial_tot49.png"
File "data\images\ovnis\freevial_tot50.png"
File "data\images\ovnis\freevial_tot51.png"
File "data\images\ovnis\freevial_tot52.png"
File "data\images\ovnis\freevial_tot53.png"
File "data\images\ovnis\freevial_tot54.png"
File "data\images\ovnis\freevial_tot55.png"
File "data\images\ovnis\freevial_tot56.png"
File "data\images\ovnis\freevial_tot57.png"
File "data\images\ovnis\freevial_tot58.png"
File "data\images\ovnis\freevial_tot59.png"
File "data\images\ovnis\freevial_tot60.png"
File "data\images\ovnis\freevial_tot61.png"
File "data\images\ovnis\freevial_tot62.png"
File "data\images\ovnis\freevial_tot63.png"
File "data\images\ovnis\freevial_tot64.png"
File "data\images\ovnis\freevial_tot65.png"
File "data\images\ovnis\freevial_tot66.png"
File "data\images\ovnis\freevial_tot67.png"
File "data\images\ovnis\freevial_tot68.png"
File "data\images\ovnis\freevial_tot69.png"
File "data\images\ovnis\freevial_tot70.png"
File "data\images\ovnis\freevial_tot71.png"
SetOutPath "$INSTDIR\data\fonts"
File "data\fonts\Ubuntu-Title.ttf"
SetOutPath "$INSTDIR\data\extra"
File "data\extra\freevial.6"
File "data\extra\freevial.desktop"
File "data\extra\freevial.xpm"
SectionEnd

######################################################################

Section -Icons_Reg
SetOutPath "$INSTDIR"
WriteUninstaller "$INSTDIR\uninstall.exe"

!ifdef REG_START_MENU
!insertmacro MUI_STARTMENU_WRITE_BEGIN Application
CreateDirectory "$SMPROGRAMS\$SM_Folder"
CreateShortCut "$SMPROGRAMS\$SM_Folder\${APP_NAME}.lnk" "$INSTDIR\${MAIN_APP_EXE}"
CreateShortCut "$DESKTOP\${APP_NAME}.lnk" "$INSTDIR\${MAIN_APP_EXE}"
CreateShortCut "$SMPROGRAMS\$SM_Folder\Uninstall ${APP_NAME}.lnk" "$INSTDIR\uninstall.exe"

!ifdef WEB_SITE
WriteIniStr "$INSTDIR\${APP_NAME} website.url" "InternetShortcut" "URL" "${WEB_SITE}"
CreateShortCut "$SMPROGRAMS\$SM_Folder\${APP_NAME} Website.lnk" "$INSTDIR\${APP_NAME} website.url"
!endif
!insertmacro MUI_STARTMENU_WRITE_END
!endif

!ifndef REG_START_MENU
CreateDirectory "$SMPROGRAMS\Altrivia"
CreateShortCut "$SMPROGRAMS\Altrivia\${APP_NAME}.lnk" "$INSTDIR\${MAIN_APP_EXE}"
CreateShortCut "$DESKTOP\${APP_NAME}.lnk" "$INSTDIR\${MAIN_APP_EXE}"
CreateShortCut "$SMPROGRAMS\Altrivia\Uninstall ${APP_NAME}.lnk" "$INSTDIR\uninstall.exe"

!ifdef WEB_SITE
WriteIniStr "$INSTDIR\${APP_NAME} website.url" "InternetShortcut" "URL" "${WEB_SITE}"
CreateShortCut "$SMPROGRAMS\Altrivia\${APP_NAME} Website.lnk" "$INSTDIR\${APP_NAME} website.url"
!endif
!endif

WriteRegStr ${REG_ROOT} "${REG_APP_PATH}" "" "$INSTDIR\${MAIN_APP_EXE}"
WriteRegStr ${REG_ROOT} "${UNINSTALL_PATH}"  "DisplayName" "${APP_NAME}"
WriteRegStr ${REG_ROOT} "${UNINSTALL_PATH}"  "UninstallString" "$INSTDIR\uninstall.exe"
WriteRegStr ${REG_ROOT} "${UNINSTALL_PATH}"  "DisplayIcon" "$INSTDIR\${MAIN_APP_EXE}"
WriteRegStr ${REG_ROOT} "${UNINSTALL_PATH}"  "DisplayVersion" "${VERSION}"
WriteRegStr ${REG_ROOT} "${UNINSTALL_PATH}"  "Publisher" "${COMP_NAME}"

!ifdef WEB_SITE
WriteRegStr ${REG_ROOT} "${UNINSTALL_PATH}"  "URLInfoAbout" "${WEB_SITE}"
!endif
SectionEnd

######################################################################

Section Uninstall
${INSTALL_TYPE}
Delete "$INSTDIR\altrivia-v2.0.ini"
Delete "$INSTDIR\altrivia.cpp"
Delete "$INSTDIR\altrivia.dev"
Delete "$INSTDIR\altrivia.exe.Manifest"
Delete "$INSTDIR\altrivia.ico"
Delete "$INSTDIR\altrivia.layout"
Delete "$INSTDIR\Altrivia.nsi"
Delete "$INSTDIR\altrivia_private.h"
Delete "$INSTDIR\altrivia_private.rc"
Delete "$INSTDIR\altrivia_private.res"
Delete "$INSTDIR\COPYING"
Delete "$INSTDIR\README"
Delete "$INSTDIR\triptico-altrivia.odt"
Delete "$INSTDIR\trivial-quimica.layout"
Delete "$INSTDIR\Makefile.win"
Delete "$INSTDIR\altrivia.exe"
Delete "$INSTDIR\databases\freevial-database.xsd"
Delete "$INSTDIR\databases\es\bioquimica-ingenieria-quimica.xml"
Delete "$INSTDIR\databases\es\quimica-analitica.xml"
Delete "$INSTDIR\databases\es\quimica-fisica-computacional-y-teorica.xml"
Delete "$INSTDIR\databases\es\quimica-general.xml"
Delete "$INSTDIR\databases\es\quimica-inorganica.xml"
Delete "$INSTDIR\databases\es\quimica-organica.xml"
Delete "$INSTDIR\databases\ca\bioquimica-ingenieria-quimica.xml"
Delete "$INSTDIR\databases\ca\quimica-analitica.xml"
Delete "$INSTDIR\databases\ca\quimica-fisica-computacional-y-teorica.xml"
Delete "$INSTDIR\databases\ca\quimica-general.xml"
Delete "$INSTDIR\databases\ca\quimica-inorganica.xml"
Delete "$INSTDIR\databases\ca\quimica-organica.xml"
Delete "$INSTDIR\databases\en\analytical.xml"
Delete "$INSTDIR\databases\en\biochemistry-engineering.xml"
Delete "$INSTDIR\databases\en\general-history.xml"
Delete "$INSTDIR\databases\en\inorganic.xml"
Delete "$INSTDIR\databases\en\organic.xml"
Delete "$INSTDIR\databases\en\physical-theoretical.xml"
Delete "$INSTDIR\src\endscreen.py"
Delete "$INSTDIR\src\altrivia.py"
Delete "$INSTDIR\src\preguntador.py"
Delete "$INSTDIR\src\pygame"
Delete "$INSTDIR\src\questions.py"
Delete "$INSTDIR\src\roda.py"
Delete "$INSTDIR\src\score.py"
Delete "$INSTDIR\src\selcat.py"
Delete "$INSTDIR\src\skinner.py"
Delete "$INSTDIR\src\__init__.py"
Delete "$INSTDIR\src\freevial.pyc"
Delete "$INSTDIR\src\questions.pyc"
Delete "$INSTDIR\src\skinner.pyc"
Delete "$INSTDIR\src\score.pyc"
Delete "$INSTDIR\src\endscreen.pyc"
Delete "$INSTDIR\src\selcat.pyc"
Delete "$INSTDIR\src\preguntador.pyc"
Delete "$INSTDIR\src\roda.pyc"
Delete "$INSTDIR\src\altrivia.pyc"
Delete "$INSTDIR\src\common\database.py"
Delete "$INSTDIR\src\common\dbus.py"
Delete "$INSTDIR\src\common\dialog_question.py"
Delete "$INSTDIR\src\common\events.py"
Delete "$INSTDIR\src\common\freevialglob.py"
Delete "$INSTDIR\src\common\globals.py"
Delete "$INSTDIR\src\common\uncompress.py"
Delete "$INSTDIR\src\common\__init__.py"
Delete "$INSTDIR\src\common\__init__.pyc"
Delete "$INSTDIR\src\common\globals.pyc"
Delete "$INSTDIR\src\common\freevialglob.pyc"
Delete "$INSTDIR\src\common\uncompress.pyc"
Delete "$INSTDIR\src\common\database.pyc"
Delete "$INSTDIR\src\common\events.pyc"
Delete "$INSTDIR\src\common\dialog_question.pyc"
Delete "$INSTDIR\python-2-5-installer\leeme.txt"
Delete "$INSTDIR\python-2-5-installer\lxml-2.2.win32-py2.5.exe"
Delete "$INSTDIR\python-2-5-installer\numpy-1.3.0-win32-superpack-python2.5.exe"
Delete "$INSTDIR\python-2-5-installer\pygame-1.8.1release.win32-py2.5.msi"
Delete "$INSTDIR\python-2-5-installer\python-2.5.4.msi"
Delete "$INSTDIR\po\ca.po"
Delete "$INSTDIR\po\freevial.pot"
Delete "$INSTDIR\data\skin.ini"
Delete "$INSTDIR\data\teamgotxies\1st.png"
Delete "$INSTDIR\data\teamgotxies\ninot.png"
Delete "$INSTDIR\data\teamgotxies\tg_bomb.png"
Delete "$INSTDIR\data\teamgotxies\tg_caldes.png"
Delete "$INSTDIR\data\teamgotxies\tg_cd.png"
Delete "$INSTDIR\data\teamgotxies\tg_llapis.png"
Delete "$INSTDIR\data\teamgotxies\tg_lluna.png"
Delete "$INSTDIR\data\teamgotxies\tg_mario.png"
Delete "$INSTDIR\data\teamgotxies\tg_rstallman.png"
Delete "$INSTDIR\data\teamgotxies\tg_ubucat.png"
Delete "$INSTDIR\data\teamgotxies\tux.png"
Delete "$INSTDIR\data\sounds\c1.ogg"
Delete "$INSTDIR\data\sounds\c2.ogg"
Delete "$INSTDIR\data\sounds\c3.ogg"
Delete "$INSTDIR\data\sounds\c4.ogg"
Delete "$INSTDIR\data\sounds\c5.ogg"
Delete "$INSTDIR\data\sounds\c6.ogg"
Delete "$INSTDIR\data\sounds\cc.ogg"
Delete "$INSTDIR\data\sounds\cheer.ogg"
Delete "$INSTDIR\data\sounds\ckw.ogg"
Delete "$INSTDIR\data\sounds\cmc.ogg"
Delete "$INSTDIR\data\sounds\crboo.ogg"
Delete "$INSTDIR\data\sounds\dot.ogg"
Delete "$INSTDIR\data\sounds\drum2.ogg"
Delete "$INSTDIR\data\sounds\evil.ogg"
Delete "$INSTDIR\data\sounds\mov.ogg"
Delete "$INSTDIR\data\sounds\p1.ogg"
Delete "$INSTDIR\data\sounds\p10.ogg"
Delete "$INSTDIR\data\sounds\p11.ogg"
Delete "$INSTDIR\data\sounds\p12.ogg"
Delete "$INSTDIR\data\sounds\p13.ogg"
Delete "$INSTDIR\data\sounds\p14.ogg"
Delete "$INSTDIR\data\sounds\p15.ogg"
Delete "$INSTDIR\data\sounds\p16.ogg"
Delete "$INSTDIR\data\sounds\p17.ogg"
Delete "$INSTDIR\data\sounds\p18.ogg"
Delete "$INSTDIR\data\sounds\p19.ogg"
Delete "$INSTDIR\data\sounds\p2.ogg"
Delete "$INSTDIR\data\sounds\p20.ogg"
Delete "$INSTDIR\data\sounds\p21.ogg"
Delete "$INSTDIR\data\sounds\p22.ogg"
Delete "$INSTDIR\data\sounds\p23.ogg"
Delete "$INSTDIR\data\sounds\p24.ogg"
Delete "$INSTDIR\data\sounds\p3.ogg"
Delete "$INSTDIR\data\sounds\p4.ogg"
Delete "$INSTDIR\data\sounds\p5.ogg"
Delete "$INSTDIR\data\sounds\p6.ogg"
Delete "$INSTDIR\data\sounds\p7.ogg"
Delete "$INSTDIR\data\sounds\p8.ogg"
Delete "$INSTDIR\data\sounds\p9.ogg"
Delete "$INSTDIR\data\sounds\preguntador.ogg"
Delete "$INSTDIR\data\sounds\score.ogg"
Delete "$INSTDIR\data\sounds\sub.ogg"
Delete "$INSTDIR\data\sounds\sub2.ogg"
Delete "$INSTDIR\data\sounds\ticking2.ogg"
Delete "$INSTDIR\data\sounds\wonfv.ogg"
Delete "$INSTDIR\data\quimica-logo\ch4-alfa.ico"
Delete "$INSTDIR\data\quimica-logo\ch4-alfa.png"
Delete "$INSTDIR\data\quimica-logo\ch4.blend"
Delete "$INSTDIR\data\quimica-logo\ch4.pdb"
Delete "$INSTDIR\data\quimica-logo\ch4.png"
Delete "$INSTDIR\data\quimica-logo\ch4.xyz"
Delete "$INSTDIR\data\quimica-logo\pdb2blend12.blend"
Delete "$INSTDIR\data\images\dummy.png"
Delete "$INSTDIR\data\images\element_score.png"
Delete "$INSTDIR\data\images\filtre_c1.png"
Delete "$INSTDIR\data\images\filtre_c2.png"
Delete "$INSTDIR\data\images\filtre_c3.png"
Delete "$INSTDIR\data\images\filtre_c4.png"
Delete "$INSTDIR\data\images\filtre_c5.png"
Delete "$INSTDIR\data\images\filtre_c6.png"
Delete "$INSTDIR\data\images\fons_score.png"
Delete "$INSTDIR\data\images\fons_score_quimica.png"
Delete "$INSTDIR\data\images\fons_score_quimica.xcf"
Delete "$INSTDIR\data\images\freevial.png"
Delete "$INSTDIR\data\images\freevial_14.png"
Delete "$INSTDIR\data\images\freevial_64.png"
Delete "$INSTDIR\data\images\freevial_brand.png"
Delete "$INSTDIR\data\images\freevial_splash.png"
Delete "$INSTDIR\data\images\itr1.png"
Delete "$INSTDIR\data\images\itr2.png"
Delete "$INSTDIR\data\images\lletraA.png"
Delete "$INSTDIR\data\images\lletraA_off.png"
Delete "$INSTDIR\data\images\lletraB.png"
Delete "$INSTDIR\data\images\lletraB_off.png"
Delete "$INSTDIR\data\images\lletraC.png"
Delete "$INSTDIR\data\images\lletraC_off.png"
Delete "$INSTDIR\data\images\llum.png"
Delete "$INSTDIR\data\images\mascara_de_fons.png"
Delete "$INSTDIR\data\images\mascara_de_fons_quimica.png"
Delete "$INSTDIR\data\images\nook.png"
Delete "$INSTDIR\data\images\nota.png"
Delete "$INSTDIR\data\images\ok.png"
Delete "$INSTDIR\data\images\retalla_sel.png"
Delete "$INSTDIR\data\images\retalla_sel_i.png"
Delete "$INSTDIR\data\images\ruleta_fons.png"
Delete "$INSTDIR\data\images\ruleta_front.png"
Delete "$INSTDIR\data\images\ruleta_front_quimica.png"
Delete "$INSTDIR\data\images\ruleta_front_quimica.xcf"
Delete "$INSTDIR\data\images\ruleta_paper.png"
Delete "$INSTDIR\data\images\score_fons.png"
Delete "$INSTDIR\data\images\score_fons_quimical.png"
Delete "$INSTDIR\data\images\seleccio_score.png"
Delete "$INSTDIR\data\images\sel_fletxab.png"
Delete "$INSTDIR\data\images\sel_fletxap.png"
Delete "$INSTDIR\data\images\sel_quadre.png"
Delete "$INSTDIR\data\images\sel_quadreok.png"
Delete "$INSTDIR\data\images\sel_quadres.png"
Delete "$INSTDIR\data\images\sel_reflexos.png"
Delete "$INSTDIR\data\images\freevial_tot63.png"
Delete "$INSTDIR\data\images\quimica\categoria-qa.png"
Delete "$INSTDIR\data\images\quimica\categoria-qe.png"
Delete "$INSTDIR\data\images\quimica\categoria-qf.png"
Delete "$INSTDIR\data\images\quimica\categoria-qg.png"
Delete "$INSTDIR\data\images\quimica\categoria-qo.png"
Delete "$INSTDIR\data\images\quimica\categoria-qi.png"
Delete "$INSTDIR\data\images\quimica\quimica-organica\aspirina.png"
Delete "$INSTDIR\data\images\quimica\quimica-organica\etanol.png"
Delete "$INSTDIR\data\images\points\freevial_tot00.png"
Delete "$INSTDIR\data\images\points\freevial_tot01.png"
Delete "$INSTDIR\data\images\points\freevial_tot02.png"
Delete "$INSTDIR\data\images\points\freevial_tot03.png"
Delete "$INSTDIR\data\images\points\freevial_tot04.png"
Delete "$INSTDIR\data\images\points\freevial_tot05.png"
Delete "$INSTDIR\data\images\points\freevial_tot06.png"
Delete "$INSTDIR\data\images\points\freevial_tot07.png"
Delete "$INSTDIR\data\images\points\freevial_tot08.png"
Delete "$INSTDIR\data\images\points\freevial_tot09.png"
Delete "$INSTDIR\data\images\points\freevial_tot10.png"
Delete "$INSTDIR\data\images\points\freevial_tot11.png"
Delete "$INSTDIR\data\images\points\freevial_tot12.png"
Delete "$INSTDIR\data\images\points\freevial_tot13.png"
Delete "$INSTDIR\data\images\points\freevial_tot14.png"
Delete "$INSTDIR\data\images\points\freevial_tot15.png"
Delete "$INSTDIR\data\images\points\freevial_tot16.png"
Delete "$INSTDIR\data\images\points\freevial_tot17.png"
Delete "$INSTDIR\data\images\points\freevial_tot18.png"
Delete "$INSTDIR\data\images\points\freevial_tot19.png"
Delete "$INSTDIR\data\images\points\freevial_tot20.png"
Delete "$INSTDIR\data\images\points\freevial_tot21.png"
Delete "$INSTDIR\data\images\points\freevial_tot22.png"
Delete "$INSTDIR\data\images\points\freevial_tot23.png"
Delete "$INSTDIR\data\images\points\freevial_tot24.png"
Delete "$INSTDIR\data\images\points\freevial_tot25.png"
Delete "$INSTDIR\data\images\points\freevial_tot26.png"
Delete "$INSTDIR\data\images\points\freevial_tot27.png"
Delete "$INSTDIR\data\images\points\freevial_tot28.png"
Delete "$INSTDIR\data\images\points\freevial_tot29.png"
Delete "$INSTDIR\data\images\points\freevial_tot30.png"
Delete "$INSTDIR\data\images\points\freevial_tot31.png"
Delete "$INSTDIR\data\images\points\freevial_tot32.png"
Delete "$INSTDIR\data\images\points\freevial_tot33.png"
Delete "$INSTDIR\data\images\points\freevial_tot34.png"
Delete "$INSTDIR\data\images\points\freevial_tot35.png"
Delete "$INSTDIR\data\images\points\freevial_tot36.png"
Delete "$INSTDIR\data\images\points\freevial_tot37.png"
Delete "$INSTDIR\data\images\points\freevial_tot38.png"
Delete "$INSTDIR\data\images\points\freevial_tot39.png"
Delete "$INSTDIR\data\images\points\freevial_tot40.png"
Delete "$INSTDIR\data\images\points\freevial_tot41.png"
Delete "$INSTDIR\data\images\points\freevial_tot42.png"
Delete "$INSTDIR\data\images\points\freevial_tot43.png"
Delete "$INSTDIR\data\images\points\freevial_tot44.png"
Delete "$INSTDIR\data\images\points\freevial_tot45.png"
Delete "$INSTDIR\data\images\points\freevial_tot46.png"
Delete "$INSTDIR\data\images\points\freevial_tot47.png"
Delete "$INSTDIR\data\images\points\freevial_tot48.png"
Delete "$INSTDIR\data\images\points\freevial_tot49.png"
Delete "$INSTDIR\data\images\points\freevial_tot50.png"
Delete "$INSTDIR\data\images\points\freevial_tot51.png"
Delete "$INSTDIR\data\images\points\freevial_tot52.png"
Delete "$INSTDIR\data\images\points\freevial_tot53.png"
Delete "$INSTDIR\data\images\points\freevial_tot54.png"
Delete "$INSTDIR\data\images\points\freevial_tot55.png"
Delete "$INSTDIR\data\images\points\freevial_tot56.png"
Delete "$INSTDIR\data\images\points\freevial_tot57.png"
Delete "$INSTDIR\data\images\points\freevial_tot58.png"
Delete "$INSTDIR\data\images\points\freevial_tot59.png"
Delete "$INSTDIR\data\images\points\freevial_tot60.png"
Delete "$INSTDIR\data\images\points\freevial_tot61.png"
Delete "$INSTDIR\data\images\points\freevial_tot62.png"
Delete "$INSTDIR\data\images\points\freevial_tot63.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot00.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot01.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot02.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot03.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot04.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot05.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot06.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot07.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot08.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot09.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot10.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot11.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot12.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot13.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot14.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot15.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot16.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot17.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot18.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot19.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot20.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot21.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot22.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot23.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot24.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot25.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot26.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot27.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot28.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot29.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot30.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot31.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot32.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot33.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot34.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot35.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot36.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot37.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot38.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot39.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot40.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot41.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot42.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot43.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot44.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot45.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot46.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot47.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot48.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot49.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot50.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot51.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot52.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot53.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot54.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot55.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot56.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot57.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot58.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot59.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot60.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot61.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot62.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot63.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot64.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot65.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot66.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot67.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot68.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot69.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot70.png"
Delete "$INSTDIR\data\images\ovnis\freevial_tot71.png"
Delete "$INSTDIR\data\fonts\Ubuntu-Title.ttf"
Delete "$INSTDIR\data\extra\freevial.6"
Delete "$INSTDIR\data\extra\freevial.desktop"
Delete "$INSTDIR\data\extra\freevial.xpm"
 
RmDir "$INSTDIR\data\extra"
RmDir "$INSTDIR\data\fonts"
RmDir "$INSTDIR\data\images\ovnis"
RmDir "$INSTDIR\data\images\points"
RmDir "$INSTDIR\data\images\quimica\quimica-organica"
RmDir "$INSTDIR\data\images\quimica"
RmDir "$INSTDIR\data\images"
RmDir "$INSTDIR\data\quimica-logo"
RmDir "$INSTDIR\data\sounds"
RmDir "$INSTDIR\data\teamgotxies"
RmDir "$INSTDIR\data"
RmDir "$INSTDIR\po"
RmDir "$INSTDIR\python-2-5-installer"
RmDir "$INSTDIR\src\common"
RmDir "$INSTDIR\src"
RmDir "$INSTDIR\databases\en"
RmDir "$INSTDIR\databases\ca"
RmDir "$INSTDIR\databases\es"
RmDir "$INSTDIR\databases"
 
Delete "$INSTDIR\uninstall.exe"
!ifdef WEB_SITE
Delete "$INSTDIR\${APP_NAME} website.url"
!endif

RmDir "$INSTDIR"

!ifdef REG_START_MENU
!insertmacro MUI_STARTMENU_GETFOLDER "Application" $SM_Folder
Delete "$SMPROGRAMS\$SM_Folder\${APP_NAME}.lnk"
Delete "$SMPROGRAMS\$SM_Folder\Uninstall ${APP_NAME}.lnk"
!ifdef WEB_SITE
Delete "$SMPROGRAMS\$SM_Folder\${APP_NAME} Website.lnk"
!endif
Delete "$DESKTOP\${APP_NAME}.lnk"

RmDir "$SMPROGRAMS\$SM_Folder"
!endif

!ifndef REG_START_MENU
Delete "$SMPROGRAMS\Altrivia\${APP_NAME}.lnk"
Delete "$SMPROGRAMS\Altrivia\Uninstall ${APP_NAME}.lnk"
!ifdef WEB_SITE
Delete "$SMPROGRAMS\Altrivia\${APP_NAME} Website.lnk"
!endif
Delete "$DESKTOP\${APP_NAME}.lnk"

RmDir "$SMPROGRAMS\Altrivia"
!endif

DeleteRegKey ${REG_ROOT} "${REG_APP_PATH}"
DeleteRegKey ${REG_ROOT} "${UNINSTALL_PATH}"
SectionEnd

######################################################################

Function un.onInit
!insertmacro MUI_UNGETLANGUAGE
FunctionEnd

######################################################################

