/*  Atrivia, the alchemist trivia

    Altrivia - The Alchemist's Trivia v 2.0
    altrivia@gmail.com
    http://altrivia.uji.es
	Vicente Marti Centelles - Marta Enciso Carrasco

    Copyright (C) 2012  Vicente Marti Centelles- Marta Enciso Carrasco

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
*/


#include <cstdlib>
#include <iostream>
#include <unistd.h>
using namespace std;
#include <windows.h>

std::string lang = "es";
std::string execute = ""; 

/*  Declare Windows procedure  */
LRESULT CALLBACK WindowProcedure (HWND, UINT, WPARAM, LPARAM);

/*  Make the class name into a global variable  */
char szClassName[ ] = "WindowsApp";



int WINAPI WinMain (HINSTANCE hThisInstance,
                    HINSTANCE hPrevInstance,
                    LPSTR lpszArgument,
                    int nFunsterStil)

{
    HWND hwnd;               /* This is the handle for our window */
    MSG messages;            /* Here messages to the application are saved */
    WNDCLASSEX wincl;        /* Data structure for the windowclass */

    /* The Window structure */
    wincl.hInstance = hThisInstance;
    wincl.lpszClassName = szClassName;
    wincl.lpfnWndProc = WindowProcedure;      /* This function is called by windows */
    wincl.style = CS_DBLCLKS;                 /* Catch double-clicks */
    wincl.cbSize = sizeof (WNDCLASSEX);

    /* Use default icon and mouse-pointer */
    wincl.hIcon = LoadIcon (NULL, IDI_APPLICATION);
    wincl.hIconSm = LoadIcon (NULL, IDI_APPLICATION);
    wincl.hCursor = LoadCursor (NULL, IDC_ARROW);
    wincl.lpszMenuName = NULL;                 /* No menu */
    wincl.cbClsExtra = 0;                      /* No extra bytes after the window class */
    wincl.cbWndExtra = 0;                      /* structure or the window instance */
    /* Use Windows's default color as the background of the window */
    wincl.hbrBackground = (HBRUSH) COLOR_BACKGROUND;

    /* Register the window class, and if it fails quit the program */
    if (!RegisterClassEx (&wincl))
        return 0;

    /* The class is registered, let's create the program*/
    hwnd = CreateWindowEx (
           0,                   /* Extended possibilites for variation */
           szClassName,         /* Classname */
           "Altrivia 2.0",       /* Title Text */
           WS_OVERLAPPEDWINDOW, /* default window */
           CW_USEDEFAULT,       /* Windows decides the position */
           CW_USEDEFAULT,       /* where the window ends up on the screen */
           350,                 /* The programs width */
           250,                 /* and height in pixels */
           HWND_DESKTOP,        /* The window is a child-window to desktop */
           NULL,                /* No menu */
           hThisInstance,       /* Program Instance handler */
           NULL                 /* No Window Creation data */
           );

    /* Make the window visible on the screen */
    ShowWindow (hwnd, nFunsterStil);

    /* Run the message loop. It will run until GetMessage() returns 0 */
    while (GetMessage (&messages, NULL, 0, 0))
    {
        /* Translate virtual-key messages into character messages */
        TranslateMessage(&messages);
        /* Send message to WindowProcedure */
        DispatchMessage(&messages);
    }

    /* The program return-value is 0 - The value that PostQuitMessage() gave */
    return messages.wParam;
}


/*  This function is called by the Windows function DispatchMessage()  */

LRESULT CALLBACK WindowProcedure (HWND hwnd, UINT message, WPARAM wParam, LPARAM lParam)
{
    switch (message)                  /* handle the messages */
    {
        case WM_CREATE:
             CreateWindow(TEXT("static"),TEXT("  Altrivia - The Alchemist's Trivia v 2.0"),
                WS_VISIBLE | WS_CHILD,
                10, 10, 300, 25,
                hwnd, (HMENU) 4, NULL, NULL
                );
             CreateWindow(TEXT("static"),TEXT("altrivia@gmail.com  /   http://altrivia.uji.es"),
                WS_VISIBLE | WS_CHILD,
                10, 30, 300, 25,
                hwnd, (HMENU) 5, NULL, NULL
                );
             CreateWindow(TEXT("static"),TEXT("Vicente Marti Centelles - Marta Enciso Carrasco"),
                WS_VISIBLE | WS_CHILD,
                10, 50, 300, 25,
                hwnd, (HMENU) 6, NULL, NULL
                );
             CreateWindow(TEXT("static"),TEXT("                          2012"),
                WS_VISIBLE | WS_CHILD,
                10, 70, 300, 25,
                hwnd, (HMENU) 7, NULL, NULL
                );   
             CreateWindow(TEXT("button"),TEXT("Play Altrivia (English)"),
                WS_VISIBLE | WS_CHILD,
                10, 110, 300, 25,
                hwnd, (HMENU) 1, NULL, NULL
                );
             CreateWindow(TEXT("button"),TEXT("Jugar a Altrivia (Espaol)"),
                WS_VISIBLE | WS_CHILD,
                10, 140, 300, 25,
                hwnd, (HMENU) 2, NULL, NULL
                );
             CreateWindow(TEXT("button"),TEXT("Jugar a Altrivia (Valencia/Catala)"),
                WS_VISIBLE | WS_CHILD,
                10, 170, 300, 25,
                hwnd, (HMENU) 3, NULL, NULL
                );
        break;
        
        case WM_COMMAND:
             if (LOWORD(wParam) == 1){
                /*MessageBox(hwnd, "English", "English", MB_OK | MB_ICONINFORMATION);*/
                chdir("src");
                execute = "altrivia.py  --preload --lang en";
                cout << execute << endl;
                system(execute.c_str());
                }
             if (LOWORD(wParam) == 2){
                /*MessageBox(hwnd, "Espaol", "Espaol", MB_OK | MB_ICONINFORMATION);*/
                chdir("src");
                execute = "altrivia.py  --preload --lang es";
                cout << execute << endl;
                system(execute.c_str());
                }
             if (LOWORD(wParam) == 3){
                /*MessageBox(hwnd, "Valencia/Catalaol", "Valencia/Catalaol", MB_OK | MB_ICONINFORMATION);*/
                chdir("src");
                execute = "altrivia.py  --preload --lang ca";
                cout << execute << endl;
                system(execute.c_str());
                }
        break;
        
        case WM_DESTROY:
            PostQuitMessage (0);       /* send a WM_QUIT to the message queue */
            break;
        default:                      /* for messages that we don't deal with */
            return DefWindowProc (hwnd, message, wParam, lParam);
    }

    return 0;
}
